> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://amer.developers.trustly.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://amer.developers.trustly.com/_mcp/server.

# Get customer verification data

GET https://sandbox.trustly.one/api/v1/transactions/{transactionId}/payment/customer/verify

Retrieves verification results for a given transaction. Returns a match result for each attribute compared.

Reference: https://amer.developers.trustly.com/api-reference/api/verify-customer/get-verify-customer

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Trustly API
  version: 1.0.0
paths:
  /transactions/{transactionId}/payment/customer/verify:
    get:
      operationId: get-verify-customer
      summary: Get customer verification data
      description: >-
        Retrieves verification results for a given transaction. Returns a match
        result for each attribute compared.
      tags:
        - subpackage_verifyCustomer
      parameters:
        - name: transactionId
          in: path
          description: The unique identifier of the transaction.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: ''
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Verify
                  Customer_get-verify-customer_Response_200
        '400':
          description: One or more required fields are missing from the request object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get-verify-customerRequestBadRequestError'
        '401':
          description: Access not authorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get-verify-customerRequestUnauthorizedError
servers:
  - url: https://sandbox.trustly.one/api/v1
    description: Sandbox
components:
  schemas:
    VerifyCustomerMatchResult:
      type: string
      enum:
        - '-1'
        - '0'
        - '1'
        - '2'
      description: |-
        The result of the comparison:
        * `-1`: Inconclusive
        * `0`: NoMatch
        * `1`: PartialMatch
        * `2`: Match
      title: VerifyCustomerMatchResult
    VerifyCustomerMatchSource:
      type: string
      enum:
        - '1'
        - '2'
        - '3'
        - '4'
      description: |-
        The data source used for comparison:
        * `1`: Profile
        * `2`: SelectedAccount
        * `3`: OtherAccounts
        * `4`: TrustlyUser
      title: VerifyCustomerMatchSource
    VerifyCustomerMatch:
      type: object
      properties:
        attribute:
          type: string
          description: >-
            The customer attribute that was compared. For example, customer.name
            or customer.address.zip.
        result:
          $ref: '#/components/schemas/VerifyCustomerMatchResult'
          description: |-
            The result of the comparison:
            * `-1`: Inconclusive
            * `0`: NoMatch
            * `1`: PartialMatch
            * `2`: Match
        source:
          $ref: '#/components/schemas/VerifyCustomerMatchSource'
          description: |-
            The data source used for comparison:
            * `1`: Profile
            * `2`: SelectedAccount
            * `3`: OtherAccounts
            * `4`: TrustlyUser
      title: VerifyCustomerMatch
    Verify Customer_get-verify-customer_Response_200:
      type: object
      properties:
        matches:
          type: array
          items:
            $ref: '#/components/schemas/VerifyCustomerMatch'
      title: Verify Customer_get-verify-customer_Response_200
    BaseException:
      type: object
      properties:
        domain:
          type: string
        code:
          type: integer
        location:
          type: string
        message:
          type: string
        occurredAt:
          type: integer
      title: BaseException
    Get-verify-customerRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/BaseException'
      required:
        - errors
      title: Get-verify-customerRequestBadRequestError
    Get-verify-customerRequestUnauthorizedError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/BaseException'
      required:
        - errors
      title: Get-verify-customerRequestUnauthorizedError
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
      description: ''

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "matches": [
    {
      "attribute": "customer.address.zip",
      "result": 1,
      "source": 2
    },
    {
      "attribute": "customer.address.address1",
      "result": 1,
      "source": 2
    },
    {
      "attribute": "customer.address.address2",
      "result": 0,
      "source": 2
    },
    {
      "attribute": "customer.address.city",
      "result": 1,
      "source": 2
    },
    {
      "attribute": "customer.address.state",
      "result": 2,
      "source": 2
    },
    {
      "attribute": "customer.address.country",
      "result": 2,
      "source": 2
    },
    {
      "attribute": "customer.driverLicense.number",
      "result": 0,
      "source": 2
    },
    {
      "attribute": "customer.driverLicense.state",
      "result": 0,
      "source": 2
    },
    {
      "attribute": "customer.email",
      "result": 1,
      "source": 2
    },
    {
      "attribute": "customer.name",
      "result": 1,
      "source": 2
    },
    {
      "attribute": "customer.phone",
      "result": 1,
      "source": 2
    },
    {
      "attribute": "customer.ssn",
      "result": 0,
      "source": 2
    },
    {
      "attribute": "customer.dateOfBirth",
      "result": 1,
      "source": 2
    }
  ]
}
```

**SDK Code**

```python Example
import requests

url = "https://sandbox.trustly.one/api/v1/transactions/transactionId/payment/customer/verify"

payload = {}
headers = {
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Example
const url = 'https://sandbox.trustly.one/api/v1/transactions/transactionId/payment/customer/verify';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.trustly.one/api/v1/transactions/transactionId/payment/customer/verify"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://sandbox.trustly.one/api/v1/transactions/transactionId/payment/customer/verify")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sandbox.trustly.one/api/v1/transactions/transactionId/payment/customer/verify")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sandbox.trustly.one/api/v1/transactions/transactionId/payment/customer/verify', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://sandbox.trustly.one/api/v1/transactions/transactionId/payment/customer/verify");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.trustly.one/api/v1/transactions/transactionId/payment/customer/verify")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```